DRM_GEM_CREATE_MMAP_(9)

NAME
drm_gem_create_mmap_offset - create a fake mmap offset for an object

SYNOPSIS

int drm_gem_create_mmap_offset(struct drm_gem_object * obj);

ARGUMENTS

obj
    obj in question

DESCRIPTION

GEM memory mapping works by handing back to userspace a fake mmap offset it can use in a subsequent mmap(2) call. The DRM core code then looks up the object based on the offset and sets up the various memory mapping structures.

This routine allocates and attaches a fake offset for obj.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT